#! /usr/bin/env python
from distutils.core import setup
setup(
      version="1.9",
      author="Klaus Muller, Tony Vignaux",
      author_email="vignaux@user.sourceforge.net;kgmuller@users.sourceforge.net",
      description="Version 1.9 of SimPy simulation package",
      long_description=\
"""Release 1.9 of SimPy is a major release, with a new event list handling method 
using heapq instead of bisect. Also, the use of a dictionary for the event list
has been dropped. This was a valuable recommendation coming out of a SimPy speed-up 
study by Prof. Matloff and some of his students. This and the use of heapq 
result in significantly shorter run times for larger models (models with thousands of
processes).

The SimPy Manual has been been edited and its layout improved. The Bank2 tutorial
has been extended.

The API has been widened by adding a "start" activation method and by
time-weighted variance methods for classes Monitor and tally.

SimPy is a process-based discrete-event simulation language
based on standard Python and released under the GNU LGPL. 

It provides the modeller with components of a simulation
model. These include processes, for active components like
customers, messages, and vehicles, and resources, for
passive components that form limited capacity congestion
points like servers, checkout counters, and tunnels. It
also provides monitor variables to aid in gathering
statistics. SimPy comes with extensive plotting capabilities.

The distribution contains in-depth documentation, tutorials,
and a large number of simulation models.

Simulation model developers are encouraged to share their
SimPy modeling techniques with the SimPy community. Please
post a message to the simpy-Users mailing list,

mailto:simpy-users@lists.sourceforge.net.

Subscribe to simpy-users mailing list:
http://lists.sourceforge.net/lists/listinfo/simpy-users

Software developers are also encouraged to interface SimPy with
other Python-accessible packages, such as GUI, data base or
mapping and to share these new capabilities with the
community under the GNU LGPL.
""",
      license="GNU LGPL",
      name="SimPy",
      url="simpy.sourceforge.net",
      packages=["SimPy"]
      )
